liborigin 2.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::ProjectNode Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | NodeType { SpreadSheet , Matrix , Excel , Graph , Graph3D , Note , Folder }

## Public Member Functions
| ProjectNode (const string &_name="", NodeType _type=Folder, const time_t _creationDate=time(NULL), const time_t _modificationDate=time(NULL))

## Public Attributes
time_t | creationDate
time_t | modificationDate
string | name
NodeType | type

## Member Enumeration Documentation

## ◆ NodeType

enum Origin::ProjectNode::NodeType

Enumerator
SpreadSheet |
Matrix |
Excel |
Graph |
Graph3D |
Note |
Folder |

## Constructor & Destructor Documentation

## ◆ ProjectNode()

Origin::ProjectNode::ProjectNode | ( | const string & | _name = `""`,
|  | NodeType | _type = `Folder`,
|  | const time_t | _creationDate = `time(NULL)`,
|  | const time_t | _modificationDate = `time(NULL)`
| ) |  |
| inline

## Member Data Documentation

## ◆ creationDate

time_t Origin::ProjectNode::creationDate

## ◆ modificationDate

time_t Origin::ProjectNode::modificationDate

## ◆ name

string Origin::ProjectNode::name

## ◆ type

NodeType Origin::ProjectNode::type

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h